/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

/* MENU */

.section-menu {
  height: 5rem;
  background-color: #fff9f1;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  position: fixed;
  z-index: 3;
  padding-left: 2.5rem;
  padding-right: 1rem;
  width: calc(100% - 3.5rem);
}

.section-menu__links {
  display: none;
}

.section-menu__links-lg {
  display: none;
}

.section-menu__links div,
.section-menu__links-lg div {
  width: 100%;
}

.logo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.menu__contentbox__visible {
  width: 100%;
  height: 100vh;
  background: #fff9f1;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 4;
  overflow: auto;
}

.menu__contentbox__visible > .hamburger-icon {
  position: absolute;
  top: 1.25rem;
  right: 0;
}

.menu__contentbox__visible > .section-menu__links {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  flex-direction: column;
  text-transform: uppercase;
  font-size: x-large;
  list-style-type: none;
  height: 100%;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  padding-left: 0.5rem;
  padding-top: 35%;
}

.menu__contentbox__visible > .section-menu__links a:active,
.section-menu__links-lg a:active,
.section-menu__links-lg a:hover {
  color: #706c61;
}

.menu__contentbox__visible > .section-menu__links li {
  padding: 1.5rem 0 1.5rem 0;
  margin-left: -1rem;
  font-weight: 500;
  font-size: 2rem;
  width: 100%;
}

@media (min-width: 576px) {
  .section-menu {
    height: 6rem;
    padding-left: 3.5rem;
    padding-right: 2rem;
    width: calc(100% - 5.5rem);
  }

  .menu__contentbox__visible > .hamburger-icon {
    position: absolute;
    top: 1.7rem;
    right: 1rem;
  }
}

@media (min-width: 768px) {
  .menu__contentbox__visible > .section-menu__links {
    font-size: xx-large;
    padding-top: 15%;
  }

  .menu__contentbox__visible > .section-menu__links li {
    padding: 2.5rem 0 2.5rem 0;
  }
}

/* NAVIGATION HAMBURGER ICON */

.hamburger-wrapper {
  margin-right: -1rem;
}

.hamburger-icon {
  width: 2rem;
  cursor: pointer;
  display: block;
  margin-right: 1rem;
}

.hamburger-icon:after,
.hamburger-icon:before,
.hamburger-icon__inner-block {
  background-color: #1f2220;
  border-radius: 3px;
  content: "";
  display: block;
  height: 3px;
  margin: 8.5px 0;
  transition: all 0.2s ease-in-out;
}

.menu__contentbox__visible > .hamburger-icon:before,
.portfolio-detail__hamburger-wrapper > .hamburger-icon:before,
.credits-detail__hamburger-wrapper > .hamburger-icon:before {
  transform: translateY(12px) rotate(135deg);
}

.menu__contentbox__visible > .hamburger-icon:after,
.portfolio-detail__hamburger-wrapper > .hamburger-icon:after,
.credits-detail__hamburger-wrapper > .hamburger-icon:after {
  transform: translateY(-12px) rotate(-135deg);
}

.menu__contentbox__visible > .hamburger-icon > div,
.portfolio-detail__hamburger-wrapper > .hamburger-icon > div,
.credits-detail__hamburger-wrapper > .hamburger-icon > div {
  transform: scale(0);
}

@media (min-width: 992px) {
  .hamburger-wrapper {
    display: none;
  }

  .section-menu {
    padding-top: 0;
  }

  .section-menu__links-lg {
    display: flex;
    font-size: large;
    list-style-type: none;
    align-items: center;
    font-variation-settings: "wght" 600;
  }

  .section-menu__links-lg > li {
    padding: 0 1rem 0 1rem;
  }

  .section-menu__links-lg > li:nth-last-child(1) {
    background-color: #706c61;
    padding: 0.7rem 1rem 0.7rem 1rem;
    border-radius: 5px;
  }

  .section-menu__links-lg > li:nth-last-child(2) {
    padding-right: 2rem;
  }

  .section-menu__links-lg > li:nth-last-child(1) div {
    color: #fff9f1;
  }

  .section-menu__links-lg > li:nth-last-child(1):hover,
  .section-menu__links-lg > li:nth-last-child(1):active {
    background-color: #2a2619;
  }
}

/* COOKIES MENU */

.section-menu__cookies > a {
  display: flex;
  align-items: center;
  padding-right: 1rem;
  text-transform: uppercase;
  font-size: large;
  height: 100%;
}

.section-menu__cookies > a:active,
.section-menu__cookies > a:hover {
  color: #706c61;
}

.section-menu__cookies > a > div {
  display: none;
}

@media (min-width: 576px) {
  .section-menu__cookies > a > div {
    display: inline-block;
  }
}
